Skip to main content
PUT
/
api
/
v1
/
files
/
{id}
update file
curl --request PUT \
  --url https://{defaultHost}/api/v1/files/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-Authorization: <api-key>' \
  --data '
{
  "user_id": 123,
  "link_id": 123,
  "category": "<string>",
  "repository_link_id": 123
}
'
import requests

url = "https://{defaultHost}/api/v1/files/{id}"

payload = {
"user_id": 123,
"link_id": 123,
"category": "<string>",
"repository_link_id": 123
}
headers = {
"X-Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-Authorization': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_id: 123, link_id: 123, category: '<string>', repository_link_id: 123})
};

fetch('https://{defaultHost}/api/v1/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

X-Authorization
string
header
required

Path Parameters

id
string
required

id

Body

application/json
user_id
integer
category
string

Response

successful